#include <string.h>

#include "nethdr.hpp"

/*=========================================================================*/

void NetHdr::From (char *name, int net, int node)

{
	strcpy (hdr.who_from, name);
	hdr.orig_net = net;
	hdr.orig_node = node;
};

void NetHdr::From (char *name, int zone, int net, int node, int point)

{
	strcpy (hdr.who_from, name);
	hdr.orig_zone = zone;
	hdr.orig_net = net;
	hdr.orig_node = node;
	hdr.orig_point = point;
}

void NetHdr::To (char *name, int net, int node)

{
	strcpy (hdr.who_to, name);
	hdr.dest_net = net;
	hdr.dest_node = node;
}

void NetHdr::To (char *name, int zone, int net, int node, int point)

{
	strcpy (hdr.who_to, name);
	hdr.dest_zone = zone;
	hdr.dest_net = net;
	hdr.dest_node = node;
	hdr.dest_point = point;
}

void NetHdr::Subject (char *subject)

{
	strcpy (hdr.subject, subject);
}

void NetHdr::SetAttribute (unsigned int attr)

{
	hdr.attribute |= attr;
}

void NetHdr::UnsetAttribute (unsigned int attr)

{
	hdr.attribute &= ~attr;
}
