#ifndef __NETMAIL_HPP

#define __NETMAIL_HPP

#include "mb_lib.h"

#include "mbliberr.hpp"
#include "nethdr.hpp"
#include "msgtxt.hpp"

class NetMail : public MbLibErr, NetHdr, MsgTxt
{
	private:

		int		current;
		char    Path[81];

		void	Init (char *path);

	public:

				NetMail (void) { Init (""); };
				NetMail (char *path) { Init (path); };
		virtual	~NetMail (void) {};

		int First (void);
		int Next (void);
		int Last (void);
		int Prev (void);

		int GetLastRead (void);
		int SetLastRead (int lastread);

		int ReadHdr (int msgno);

		int ReadText (int msgno);

		int Write (void);
		int Write (int msgno);

		int Kill (int msgno);
};

#endif

